List Files
GET
https://bank.dattaremit.com/api/filesRequires a bank-scoped key.
Retrieves a list of files. Records are sorted by creation date in descending order.
Required scope: files:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
guidstringComma separated file_guids to list files for.
typestringComma separated file types to list files for.
statestringComma separated file states to list files for.
bank_guidstringComma separated bank_guids to list files for.
customer_guidstringComma separated customer_guids to list files for.
Responses
200get list of files
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/files \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of files
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"type": "string",
"content_type": "string",
"filename": "string",
"completed_at": "2026-07-20T16:27:51.438Z",
"failed_at": "2026-07-20T16:27:51.438Z",
"state": "storing",
"failure_code": "string",
"upload_url": "https://api.yourapp.com/webhooks",
"upload_expires_at": "2026-07-20T16:27:51.438Z",
"download_url": "https://api.yourapp.com/webhooks",
"download_expires_at": "2026-07-20T16:27:51.438Z"
}
]
}